#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <string>

using namespace std;

string s;
int n;

bool ok(){
	for(int i = 0; i < n; ++i){
		if(s[i] != '1') return false;
	}
	return true;
}

int main(){
	cin >> s;
	n = s.length();
	int turns = 0;
	bool valid = (s[0] == '1');
	while(!ok() && valid){
		++turns;
		int maxK = 0, maxx = 0;
		for(int k = 1; k < n; ++k){
			int cnt = 0;
			for(int i = 0; i < n - k; ++i){
				if(s[i] == '1' && s[i + k] != '1'){
					++cnt;
				}
			}
			if(cnt > maxx){
				maxx = cnt;
				maxK = k;
			}
		}
		string tmp = s;
		for(int i = 0; i <= n - maxK; ++i){
			tmp[i + maxK] = (s[i] == '1' ? '1' : tmp[i + maxK]);
		}
		s = tmp;
	}

	cout << (valid ? turns : -1) << endl;
		
	return 0;
}

